# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Attributes | List of all members
DBus::InterfaceAdaptor Class Reference

`#include <interface.h>`

Inheritance diagram for DBus::InterfaceAdaptor:

## Public Member Functions

| InterfaceAdaptor (const std::string &name)
Message | dispatch_method (const CallMessage &)
void | emit_signal (const SignalMessage &)
Variant * | get_property (const std::string &name)
void | set_property (const std::string &name, Variant &value)
virtual IntrospectedInterface * | introspect () const
Public Member Functions inherited from DBus::Interface
| Interface (const std::string &name)
virtual | ~Interface ()
const std::string & | name () const
Public Member Functions inherited from DBus::AdaptorBase
virtual const ObjectAdaptor * | object () const =0

## Protected Attributes

MethodTable | _methods
PropertyTable | _properties
Protected Attributes inherited from DBus::AdaptorBase
InterfaceAdaptorTable | _interfaces

## Additional Inherited Members

Protected Member Functions inherited from DBus::AdaptorBase
InterfaceAdaptor * | find_interface (const std::string &name)
virtual | ~AdaptorBase ()
virtual void | _emit_signal (SignalMessage &)=0

## Detailed Description

Definition at line 133 of file interface.h.

## Constructor & Destructor Documentation

## ◆ InterfaceAdaptor()

InterfaceAdaptor::InterfaceAdaptor | ( | const std::string & | name | ) |

Definition at line 49 of file interface.cpp.

References DBus::AdaptorBase::_interfaces, DBus::debug_log, DBus::Interface::Interface(), and DBus::Interface::name().

Referenced by DBus::PropertiesAdaptor::Get(), DBus::IntrospectableAdaptor::IntrospectableAdaptor(), DBus::PropertiesAdaptor::on_get_property(), DBus::PropertiesAdaptor::on_set_property(), DBus::PropertiesAdaptor::PropertiesAdaptor(), and DBus::PropertiesAdaptor::Set().

## Member Function Documentation

## ◆ dispatch_method()

Message InterfaceAdaptor::dispatch_method | ( | const CallMessage & | msg | ) |

Definition at line 57 of file interface.cpp.

References _methods, DBus::CallMessage::member(), and DBus::Interface::name().

Referenced by DBus::ObjectAdaptor::handle_message().

## ◆ emit_signal()

void InterfaceAdaptor::emit_signal | ( | const SignalMessage & | sig | ) |

Definition at line 72 of file interface.cpp.

References DBus::AdaptorBase::_emit_signal(), DBus::SignalMessage::interface(), and DBus::Interface::name().

## ◆ get_property()

Variant * InterfaceAdaptor::get_property | ( | const std::string & | name | ) |

Definition at line 82 of file interface.cpp.

References _properties, and DBus::Interface::name().

## ◆ introspect()

virtual IntrospectedInterface * DBus::InterfaceAdaptor::introspect | ( |  | ) | const

inline virtual

Reimplemented in DBus::IntrospectableAdaptor, and DBus::PropertiesAdaptor.

Definition at line 147 of file interface.h.

## ◆ set_property()

void InterfaceAdaptor::set_property | ( | const std::string & | name,
|  | Variant & | value )

Definition at line 96 of file interface.cpp.

References _properties, DBus::Interface::name(), and DBus::Variant::signature().

## Member Data Documentation

## ◆ _methods

MethodTable DBus::InterfaceAdaptor::_methods

protected

Definition at line 154 of file interface.h.

Referenced by dispatch_method().

## ◆ _properties

PropertyTable DBus::InterfaceAdaptor::_properties

protected

Definition at line 155 of file interface.h.

Referenced by get_property(), and set_property().

The documentation for this class was generated from the following files:

- interface.h
- interface.cpp